Upgrading Alsa/DKMS Error

Questions about codecs, DVD playback, web plugins...
Forum rules
Before you post please read how to get help
Post Reply
Alexvar
Level 1
Level 1
Posts: 21
Joined: Wed Apr 18, 2018 11:09 am

Upgrading Alsa/DKMS Error

Post by Alexvar » Sat Apr 21, 2018 5:09 pm

Hi everyone!

This is a follow-up to the thread about my laptop's Intel Sunrise Point-h HD audio issue. You can go to that thread and learn more about this issue by clicking here: viewtopic.php?f=48&t=267963

Summarizing, User MrEen and I have been attempting to solve a problem with my laptop audio (there's no sound at all) without any success. However, after some trial and error, we have managed to find the solution.
Unfortunately, we don't know how to solve it. It appears that there's a conflict with the Alsa/DKMS packages and my laptop's Linux kernel (or something related)
When looking at the terminal output during installation of the package, this is what can be seen:

Code: Select all

(...)
Loading new oem-audio-hda-daily-0.201804210316~ubuntu16.04.1 DKMS files...
First Installation: checking all kernels...
Building only for 4.13.0-38-generic
Building for architecture amd64
Building initial module for 4.13.0-38-generic
Error!  The dkms.conf for this module includes a BUILD_EXCLUSIVE directive which
does not match this kernel/arch.  This indicates that it should not be built.
Done.
However, my laptop is running the 64-bit version of LM (Cinnamon) with Linux kernel 4.13.0-38!

Any help would be hugely appreciated! :)

User avatar
Flemur
Level 15
Level 15
Posts: 5909
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Upgrading Alsa/DKMS Error

Post by Flemur » Sat Apr 21, 2018 7:22 pm

Alexvar wrote:
Sat Apr 21, 2018 5:09 pm
When looking at the terminal output during installation of the package,
Which package?
[/code]Building only for 4.13.0-38-generic
Building for architecture amd64[/code]
However, my laptop is running the 64-bit version of LM (Cinnamon) with Linux kernel 4.13.0-38
That what amd64 4.13.etc means.
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 18.3 Xfce/fluxbox/pulse-less
Xubuntu 17.10/fluxbox/pulse-less

User avatar
MrEen
Level 6
Level 6
Posts: 1026
Joined: Mon Jun 12, 2017 8:39 pm

Re: Upgrading Alsa/DKMS Error

Post by MrEen » Sat Apr 21, 2018 8:35 pm

The package is the latest alsa driver for HDA Intel from following these instructions: https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

The error is confusing in that it implies his specs don't match. I think what it is saying is dkms.conf has different specs in it, but I don't know where/how to check on or change this.

User avatar
catweazel
Level 16
Level 16
Posts: 6219
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: Upgrading Alsa/DKMS Error

Post by catweazel » Sat Apr 21, 2018 8:42 pm

MrEen wrote:
Sat Apr 21, 2018 8:35 pm
I think what it is saying is dkms.conf has different specs in it, but I don't know where/how to check on or change this.
dkms status

Maybe.
Only a life lived for others is a life worthwhile - Albert Einstein

User avatar
MrEen
Level 6
Level 6
Posts: 1026
Joined: Mon Jun 12, 2017 8:39 pm

Re: Upgrading Alsa/DKMS Error

Post by MrEen » Sat Apr 21, 2018 9:01 pm

Okay, I think I've figured it out. In the .deb, there is a dkms.conf file with this line: BUILD_EXCLUSIVE_KERNEL="^4.4.*" and Alexvar is using 4.13

I don't understand why it is limited to the 4.4 series kernels, and I don't know how (or if it should even be attempted) to alter the line and repackage the .deb.

I guess we'll have to try something else.

Hoser Rob
Level 11
Level 11
Posts: 3973
Joined: Sat Dec 15, 2012 8:57 am

Re: Upgrading Alsa/DKMS Error

Post by Hoser Rob » Sun Apr 22, 2018 9:37 am

MrEen wrote:
Sat Apr 21, 2018 9:01 pm
... I don't understand why it is limited to the 4.4 series kernels...
It's because of a lack of backwards compatibility in Linux in general. This isn't nearly as unusual as you may think. It's largely why you're always advised to install software for your point release.

User avatar
phd21
Level 16
Level 16
Posts: 6536
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: Upgrading Alsa/DKMS Error

Post by phd21 » Sun Apr 22, 2018 10:34 am

HI Alexvar,

I just read your post and the good replies to it. Here are my thoughts on this as well.

SoundTroubleshootingProcedure - Community Help Wiki
https://help.ubuntu.com/community/Sound ... gProcedure

How to Resolve no sound problem
http://www.unixmen.com/2012003-howto-re ... on-ubuntu/

Good Luck ...

Hope this helps ...
Phd21: Mint KDE 17.3 & 18.3, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

Alexvar
Level 1
Level 1
Posts: 21
Joined: Wed Apr 18, 2018 11:09 am

Re: Upgrading Alsa/DKMS Error

Post by Alexvar » Fri Apr 27, 2018 12:14 pm

Hello again!

Sorry for taking so long to post a reply. I've been very busy this week and I didn't have any spare time to continue with this. Fortunately now I'm free so I can continue with this :)

I already tried all of your solutions, but unfortunately I couldn't get the sound chip to work...

However, I was able to collect some information that might be useful:
Looking up some forums, I found that systemctl --user enable pulseaudio && systemctl --user start pulseaudio could work.
The terminal gave me an output, telling me to type systemctl --user status pulseaudio.service to look more info. This is what I got:

Code: Select all

 pulseaudio.service - Sound Service
   Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; enabled; vendor preset: enabled)
   Active: inactive (dead) (Result: exit-code) since vie 2018-04-27 17:55:35 CEST; 45s ago
  Process: 3815 ExecStart=/usr/bin/pulseaudio --daemonize=no (code=exited, status=1/FAILURE)
 Main PID: 3815 (code=exited, status=1/FAILURE)

abr 27 17:55:34 HP-Pavilion-Notebook systemd[1951]: Failed to start Sound Service.
abr 27 17:55:34 HP-Pavilion-Notebook systemd[1951]: pulseaudio.service: Unit entered failed state.
abr 27 17:55:34 HP-Pavilion-Notebook systemd[1951]: pulseaudio.service: Failed with result 'exit-code'.
abr 27 17:55:35 HP-Pavilion-Notebook systemd[1951]: pulseaudio.service: Service hold-off time over, scheduling restart.
abr 27 17:55:35 HP-Pavilion-Notebook systemd[1951]: Stopped Sound Service.
abr 27 17:55:35 HP-Pavilion-Notebook systemd[1951]: pulseaudio.service: Start request repeated too quickly.
abr 27 17:55:35 HP-Pavilion-Notebook systemd[1951]: Failed to start Sound Service.
Here is the ALSA Information Script from my PC:

Code: Select all

upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.64
!!################################

!!Script ran on: Mon Apr 23 14:25:29 UTC 2018


!!Linux Distribution
!!------------------

Linux Mint 18.3 Sylvia \n \l DISTRIB_ID=LinuxMint DISTRIB_DESCRIPTION="Linux Mint 18.3 Sylvia" NAME="Linux Mint" ID=linuxmint ID_LIKE=ubuntu PRETTY_NAME="Linux Mint 18.3" HOME_URL="http://www.linuxmint.com/" SUPPORT_URL="http://forums.linuxmint.com/" BUG_REPORT_URL="http://bugs.launchpad.net/linuxmint/" UBUNTU_CODENAME=xenial


!!DMI Information
!!---------------

Manufacturer:      HP
Product Name:      HP Pavilion Notebook
Product Version:   Type1ProductConfigId
Firmware Version:  F.23
Board Vendor:      HP
Board Name:        820D


!!ACPI Device Status Information
!!---------------

/sys/bus/acpi/devices/ACPI0003:00/status 	 15
/sys/bus/acpi/devices/ACPI000C:00/status 	 15
/sys/bus/acpi/devices/HPQ6001:00/status 	 15
/sys/bus/acpi/devices/HPQ6007:00/status 	 15
/sys/bus/acpi/devices/HPQ8001:00/status 	 15
/sys/bus/acpi/devices/INT33A1:00/status 	 15
/sys/bus/acpi/devices/INT3400:00/status 	 15
/sys/bus/acpi/devices/INT340E:00/status 	 15
/sys/bus/acpi/devices/LNXPOWER:00/status 	 1
/sys/bus/acpi/devices/LNXVIDEO:00/status 	 15
/sys/bus/acpi/devices/MSFT0101:00/status 	 15
/sys/bus/acpi/devices/PNP0103:00/status 	 15
/sys/bus/acpi/devices/PNP0C02:00/status 	 3
/sys/bus/acpi/devices/PNP0C02:03/status 	 15
/sys/bus/acpi/devices/PNP0C02:04/status 	 3
/sys/bus/acpi/devices/PNP0C04:00/status 	 31
/sys/bus/acpi/devices/PNP0C09:00/status 	 15
/sys/bus/acpi/devices/PNP0C0A:00/status 	 31
/sys/bus/acpi/devices/PNP0C0C:00/status 	 15
/sys/bus/acpi/devices/PNP0C0F:00/status 	 9
/sys/bus/acpi/devices/PNP0C0F:01/status 	 9
/sys/bus/acpi/devices/PNP0C0F:02/status 	 9
/sys/bus/acpi/devices/PNP0C0F:03/status 	 9
/sys/bus/acpi/devices/PNP0C0F:04/status 	 9
/sys/bus/acpi/devices/PNP0C0F:05/status 	 9
/sys/bus/acpi/devices/PNP0C0F:06/status 	 9
/sys/bus/acpi/devices/PNP0C0F:07/status 	 9
/sys/bus/acpi/devices/SYN3228:00/status 	 15
/sys/bus/acpi/devices/device:16/status 	 15
/sys/bus/acpi/devices/device:1f/status 	 15
/sys/bus/acpi/devices/device:21/status 	 15
/sys/bus/acpi/devices/device:6e/status 	 11


!!Kernel Information
!!------------------

Kernel release:    4.13.0-38-generic
Operating System:  GNU/Linux
Architecture:      x86_64
Processor:         x86_64
SMP Enabled:       Yes


!!ALSA Version
!!------------

Driver version:     k4.13.0-38-generic
Library version:    
Utilities version:  1.1.0


!!Loaded ALSA modules
!!-------------------



!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes


!!Soundcards recognised by ALSA
!!-----------------------------

--- no soundcards ---


!!PCI Soundcards installed in the system
!!--------------------------------------

00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)


!!Advanced information - PCI Vendor/Device/Subsystem ID's
!!-------------------------------------------------------

00:1f.3 0403: 8086:a170 (rev 31)
	Subsystem: 103c:820d


!!Modprobe options (Sound related)
!!--------------------------------

snd_pcsp: index=-2
snd_usb_audio: index=-2
snd_atiixp_modem: index=-2
snd_intel8x0m: index=-2
snd_via82xx_modem: index=-2
snd_atiixp_modem: index=-2
snd_intel8x0m: index=-2
snd_via82xx_modem: index=-2
snd_usb_audio: index=-2
snd_usb_caiaq: index=-2
snd_usb_ua101: index=-2
snd_usb_us122l: index=-2
snd_usb_usx2y: index=-2
snd_cmipci: mpu_port=0x330 fm_port=0x388
snd_pcsp: index=-2
snd_usb_audio: index=-2


!!Loaded sound module options
!!---------------------------


!!ALSA Device nodes
!!-----------------

crw-rw----+ 1 root audio 116,  1 Apr 23 16:20 /dev/snd/seq
crw-rw----+ 1 root audio 116, 33 Apr 23 16:20 /dev/snd/timer


!!Aplay/Arecord output
!!--------------------

APLAY

aplay: device_list:268: no soundcards found...

ARECORD

arecord: device_list:268: no soundcards found...

!!Amixer output
!!-------------


!!Alsactl output
!!--------------

--startcollapse--
--endcollapse--


!!All Loaded Modules
!!------------------

Module
rfcomm
vmnet
ccm
vmw_vsock_vmci_transport
vsock
vmw_vmci
vmmon
bnep
bbswitch
binfmt_misc
nls_iso8859_1
intel_rapl
x86_pkg_temp_thermal
intel_powerclamp
coretemp
kvm_intel
nvidia_uvm
kvm
irqbypass
hp_wmi
wmi_bmof
crct10dif_pclmul
sparse_keymap
crc32_pclmul
ghash_clmulni_intel
pcbc
snd_hda_intel
snd_hda_codec
uvcvideo
nvidia_drm
nvidia_modeset
videobuf2_vmalloc
nvidia
videobuf2_memops
videobuf2_v4l2
snd_hda_core
snd_hwdep
aesni_intel
snd_pcm
videobuf2_core
btusb
videodev
snd_seq_midi
snd_seq_midi_event
btrtl
media
btbcm
aes_x86_64
btintel
arc4
crypto_simd
glue_helper
snd_rawmidi
bluetooth
rtsx_pci_ms
memstick
hp_accel
iwlmvm
cryptd
ecdh_generic
mac80211
lis3lv02d
snd_seq
snd_seq_device
iwlwifi
snd_timer
snd
input_polldev
joydev
intel_cstate
mei_me
input_leds
tpm_crb
intel_rapl_perf
serio_raw
hp_wireless
intel_lpss_acpi
int3403_thermal
mac_hid
intel_lpss
cfg80211
soundcore
mei
shpchp
int3400_thermal
processor_thermal_device
int340x_thermal_zone
acpi_thermal_rel
intel_pch_thermal
intel_soc_dts_iosf
acpi_pad
wmi
parport_pc
ppdev
lp
parport
autofs4
btrfs
xor
raid6_pq
dm_mirror
dm_region_hash
dm_log
hid_generic
usbhid
rtsx_pci_sdmmc
i915
i2c_algo_bit
drm_kms_helper
syscopyarea
sysfillrect
psmouse
sysimgblt
fb_sys_fops
r8169
ahci
mii
drm
rtsx_pci
libahci
i2c_hid
pinctrl_sunrisepoint
video
hid
pinctrl_intel


!!ALSA/HDA dmesg
!!--------------

[    9.848409] WARNING: CPU: 5 PID: 465 at /build/linux-hwe-k3LMOX/linux-hwe-4.13.0/drivers/misc/lis3lv02d/lis3lv02d.c:239 lis3lv02d_get_pwron_wait+0xa0/0xb0 [lis3lv02d]
[    9.848409] Modules linked in: memstick hp_accel(+) iwlmvm(+) cryptd ecdh_generic mac80211 lis3lv02d snd_seq snd_seq_device iwlwifi snd_timer snd input_polldev joydev intel_cstate mei_me input_leds tpm_crb intel_rapl_perf serio_raw hp_wireless intel_lpss_acpi int3403_thermal mac_hid intel_lpss cfg80211 soundcore mei shpchp int3400_thermal processor_thermal_device int340x_thermal_zone acpi_thermal_rel intel_pch_thermal intel_soc_dts_iosf acpi_pad wmi parport_pc ppdev lp parport autofs4 btrfs xor raid6_pq dm_mirror dm_region_hash dm_log hid_generic usbhid rtsx_pci_sdmmc i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect psmouse sysimgblt fb_sys_fops r8169 ahci mii drm rtsx_pci libahci i2c_hid pinctrl_sunrisepoint video hid pinctrl_intel
[    9.848436] CPU: 5 PID: 465 Comm: systemd-udevd Not tainted 4.13.0-38-generic #43~16.04.1-Ubuntu
--
[   10.908282] USB Video Class driver (1.1.1)
[   10.910489] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[   11.144179] iwlwifi 0000:08:00.0 wlo1: renamed from wlan0
--
[   12.543657] ACPI Warning: \_SB.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20170531/nsarguments-95)
[   14.336128] snd_hda_intel 0000:00:1f.3: azx_get_response timeout, switching to polling mode: last cmd=0x200f0000
[   14.366315] audit: type=1400 audit(1524493234.588:2): apparmor="STATUS" operation="profile_load" profile="unconfined" name="/usr/lib/lightdm/lightdm-guest-session" pid=853 comm="apparmor_parser"
--
[   14.735303] new mount options do not match the existing superblock, will be ignored
[   15.340074] snd_hda_intel 0000:00:1f.3: No response from codec, disabling MSI: last cmd=0x200f0000
[   16.344075] snd_hda_intel 0000:00:1f.3: Codec #2 probe error; disabling it...
[   16.348863] hdaudio hdaudioC0D0: cannot read sub nodes for FG 0x10
[   16.348867] snd_hda_intel 0000:00:1f.3: no codecs initialized
[   16.357042] ACPI Warning: \_SB.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20170531/nsarguments-95)
Thank you very much for your feedback! :D

User avatar
MrEen
Level 6
Level 6
Posts: 1026
Joined: Mon Jun 12, 2017 8:39 pm

Re: Upgrading Alsa/DKMS Error

Post by MrEen » Fri Apr 27, 2018 12:45 pm

Hi Alexvar.

What output do you get from sudo alsa force-reload if any?

After running that, run the alsa script again to see if the "Loaded ALSA modules" section is no longer empty.

Just a warning now. People have been having problems with a pulseaudio update this week, so if you do any updates, uncheck that one for now.

Alexvar
Level 1
Level 1
Posts: 21
Joined: Wed Apr 18, 2018 11:09 am

Re: Upgrading Alsa/DKMS Error

Post by Alexvar » Sat Apr 28, 2018 8:30 am

Hi MrEen!

Well, too late. I received the update last Tuesday and I installed it :(

Anyway, sudo alsa force-reload gives this output:

Code: Select all

Unloading ALSA sound driver modules: snd-hda-intel snd-hda-codec snd-hda-core snd-hwdep snd-pcm snd-seq-midi snd-seq-midi-event snd-rawmidi snd-seq snd-seq-device snd-timer.
Loading ALSA sound driver modules: snd-hda-intel snd-hda-codec snd-hda-core snd-hwdep snd-pcm snd-seq-midi snd-seq-midi-event snd-rawmidi snd-seq snd-seq-device snd-timer.
Running again the Alsa scripts shows no loaded modules: http://www.alsa-project.org/db/?f=bd5f8 ... 43ec0bd293

User avatar
MrEen
Level 6
Level 6
Posts: 1026
Joined: Mon Jun 12, 2017 8:39 pm

Re: Upgrading Alsa/DKMS Error

Post by MrEen » Sat Apr 28, 2018 11:19 am

Wow. That laptop just doesn't want sound to play!

The only other thing I could possibly suggest at this point is to try the 4.15 kernel. And if that doesn't work, we can hope Linux Mint 19 fixes it!

Really sorry you've had to go through so much effort for no reward up to this point.

Best of luck.

Alexvar
Level 1
Level 1
Posts: 21
Joined: Wed Apr 18, 2018 11:09 am

Re: Upgrading Alsa/DKMS Error

Post by Alexvar » Sat Apr 28, 2018 2:37 pm

Yeah, It's really a pain in the neck to get Linux working 100% properly on these new laptops, specially considering they are becoming more Windows-dependent these days :(

I tried using Kernel 15, but that only made the system more unstable. I guess that's because it's still a very new kernel...

I guess I'll stick to another distro till LM 19 comes out. Hopefully that fixes my audio problems :)

And don't feel sorry about me! I actually really like to tinker with Linux on different systems and learn how to solve problems. In this case we weren't successful, but I've learnt quite a few things that are very useful! And that's thanks to you :)

Hoser Rob
Level 11
Level 11
Posts: 3973
Joined: Sat Dec 15, 2012 8:57 am

Re: Upgrading Alsa/DKMS Error

Post by Hoser Rob » Mon Apr 30, 2018 12:49 pm

Actually you may be able to use pavucontrol ... go into Synaptic and see if you have it, if not, hit refresh and then install it.

See here ...

viewtopic.php?t=240504#p1285819

... and here ...

https://askubuntu.com/questions/998520/ ... dio/998530

User avatar
MrEen
Level 6
Level 6
Posts: 1026
Joined: Mon Jun 12, 2017 8:39 pm

Re: Upgrading Alsa/DKMS Error

Post by MrEen » Mon Apr 30, 2018 2:32 pm

Hi Rob,

Pavucontrol and a ton of other stuff was tried. ALSA refuses to detect the soundcard. From the ALSA Information Script:

Code: Select all

!!Soundcards recognised by ALSA
!!-----------------------------

--- no soundcards ---
Thanks for the suggestion though.

Post Reply

Return to “Sound, Multimedia, & Codecs”